package vn.azteam.tpf.service.dto;

import java.io.Serializable;
import java.time.Instant;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.PositiveOrZero;


public class WarehouseStockUpdateDTO implements Serializable {
    private Long id;

    private Long activityId;

    private Long tbWarehouseId;

    private Long tbSuppliesId;

    private Instant updateDate;

    @NotNull
    private Integer action;

    private String description;

    @PositiveOrZero
    private Double quantity;

    private Long oderId;

    @NotEmpty
    private String code;

    // Manufactoring Date
    @NotNull
    private Instant mfgDate;

    // Expire Date
    @NotNull
    private Instant expDate;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getActivityId() {
        return activityId;
    }

    public void setActivityId(Long activityId) {
        this.activityId = activityId;
    }

    public Long getTbWarehouseId() {
        return tbWarehouseId;
    }

    public void setTbWarehouseId(Long tbWarehouseId) {
        this.tbWarehouseId = tbWarehouseId;
    }

    public Long getTbSuppliesId() {
        return tbSuppliesId;
    }

    public void setTbSuppliesId(Long tbSuppliesId) {
        this.tbSuppliesId = tbSuppliesId;
    }

    public Instant getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Instant updateDate) {
        this.updateDate = updateDate;
    }

    public Integer getAction() {
        return action;
    }

    public void setAction(Integer action) {
        this.action = action;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Double getQuantity() {
        return quantity;
    }

    public void setQuantity(Double quantity) {
        this.quantity = quantity;
    }

    public Long getOderId() {
        return oderId;
    }

    public void setOderId(Long oderId) {
        this.oderId = oderId;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Instant getMfgDate() {
        return mfgDate;
    }

    public void setMfgDate(Instant mfgDate) {
        this.mfgDate = mfgDate;
    }

    public Instant getExpDate() {
        return expDate;
    }

    public void setExpDate(Instant expDate) {
        this.expDate = expDate;
    }
}

